$(document).ready(function(){

	var trim = function(s) { return String(s).replace(/^\s+|\s+$/g,""); },
		baseURL = String(PHPFOX_CORE_PATH[0]),
		logged = PHPFOX_CORE_PATH[1] == 1 ? true : false,
		path = document.location.href.replace(baseURL, ""),
		pagename = '',
		module, pmodle,
		menuitems = $('#header_menu > ul li > a');
	if (logged) {
		if (path.indexOf("?do=") > 0) {
			path = path.replace(/index.php\?do=(\/)?/, "");
		}
		menuitems.map(function(i, m) {
			var class_name, menu = $(m), href = menu.attr('href');

			console.log(href.replace(baseURL, ""));

			if (href.replace(baseURL, "") == "") {
				class_name = "home";
			} else {
				class_name = href.substring(0, href.length-1).replace(baseURL, "").replace(/\//gm, "_");
			}

			menu.addClass(class_name);
		});
		for (var i = 0; i < menuitems.length; i++) {
			var a = menuitems[i],
				pathname = path.split("/"),
				ahref = a.href.replace(baseURL,"").replace(/index.php\?do=(\/)?/, "").split("/");

			module = pathname[0];
			pmodle = ahref[0];

			var ishome = ahref[0] == '' ? true : false,
				ispmhome = pathname[0] == '' ? true : false,
				li = $(a.parentNode);

			if (ishome && ispmhome) { li.addClass('active'); break; }
			if (module == pmodle) { li.addClass('active'); break; }
		};

		$(document.body).addClass('logged');
	} else {
		$('#header_menu_page_holder').hide();
	}


	var psplit = path.split("/");
	pagename = psplit[0]+(psplit[1]?"_"+psplit[1]:"");

	if (pagename.length == 0) {
		pagename = logged ? 'home' : 'welcome';
	}
	$(document.body).addClass('page_'+pagename);

	// Adjust Page Size
	function stickMeAtTheBottom()
	{
		var el = $('#main_footer_holder');
		if ($(document.body).height()+60 < $(document.body)[0].scrollHeight) {
			el.addClass('float_footer');
		}
		else {
			el.removeClass('float_footer');
		}
	};

	$(window).resize(stickMeAtTheBottom);
	stickMeAtTheBottom();

});