
$(function(){

	// Atleast 2...
	var phrases = window.pv_phrases;

	var url = PHPFOX_CORE_PATH[0] + "static/trending.php",
		tout = 8000;


	$.fn.shuffle = function() {
		return this.each(function(){
			var items = $(this).children();
			return (items.length)
				? $(this).html($.shuffle(items))
				: this;
		});
	};
	 
	$.shuffle = function(arr) {
		for (var j, x, i = arr.length; i; j = parseInt(Math.random() * i), x = arr[--i], arr[i] = arr[j], arr[j] = x);
		return arr;
	};

	function getPhrases(callback) {
		$.getJSON(url, function(data) {
			callback(data);
		});
	};

	function initPhrases() {
		var current, width,
			trend = $('<div id="era_trending_block">'),
			regintroel = $('.user_register_intro > h1'),
			doneRotateCallback = function(cb){ if (cb) cb(); };

		if (regintroel.length > 0) {
			regintroel.empty();
			regintroel.after(trend);
			trend.css('width', $('.user_register_intro').width());
		} else {
			$('div#header_menu_page_holder > .holder').before(trend);
			trend.css('width', $('div#header_menu_page_holder > .holder').width());
		}
		width = trend.width();

		var appendPhrases = function(r) {
			for (var i = 0; l = r.length, i < l; i ++) {
				var text = r[i];
				if (regintroel.length > 0) text = text.replace(new RegExp("<br/?>", "gm"), "");

				var o = [
					'<div style="position:absolute;width:' + width + 'px;">', 
						'<p class="text_shadow_darker" style="text-wrap: wrap; width:' + width + 'px;">', text, '</p>', 
					'</div>'
				].join('');

				trend.append(o);
				console.log('appending: ' + r[i]);
			}
			trend.find('>div').css('opacity', 0);
		};

		var rotatePhrases = function(idx) {
			if (!idx || idx >= phrases.data.length) idx = 0;
			if (current) {
				current.animate({
					left: -width, 
					opacity: 0
				},{
					duration: 600, 
					easing: 'easeInExpo',
					complete: function() {
						doneRotateCallback();
					}
				});
			}
			animateNextPhrase(idx, function() {
				setTimeout(function() {
					current = $(trend.find('>div')[idx]);
					rotatePhrases(idx + 1);
				}, tout);
			});
		}

		var animateNextPhrase = function(idx, fn) {
			var el = $(trend.find('>div')[idx]);
			el.delay(600).css({
				left: width, 
				opacity: 0
			}).animate({
				left: 0, 
				opacity: 1
			},{
				duration: 300, 
				easing: 'easeOutExpo', 
				complete: function() {
					if (fn) fn.call(this);
				}
			});
		};
		
		getPhrases(function(r) {
			doneRotateCallback = function() {
				var d = $.shuffle(r.data);
				for (var i = 0; i < d.length; i++) {
					phrases.data.push(d[i]);
				}
				appendPhrases(d);
				doneRotateCallback = function(){};
			};
		});

		appendPhrases($.shuffle(phrases.data));
		rotatePhrases();
	  };

	  initPhrases();
});